Edits a meter's group memberships. Note that all groups a meter should belong to must be passed in. Passing in one group means that the meter will belong to one group only, even if it previously belonged to several. Only manual groups assignments can be changed; auto groups are unaffected.
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| meterId | The meter identifier whose group memberships are being edited | integer (int32) | Required |
Request Body
Array of:
MeterGroupMember
| Property | Description | Type |
|---|---|---|
| includeInCharts | Whether to include this meter in the group’s benchmark charts Required (defined) | boolean |
| meterGroupId | The meter group this meter will belong to Required (defined) | integer (int32) |
Example Request Body
[
{ "includeInCharts": false, "meterGroupId": 1
}
]
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
Array of:
MeterGroupResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| autoGroup | Indicates if this meter group is an autogroup | boolean | ||||||||||||
| lastUpdated | The last time a member was inserted, updated, or deleted from the group | string (date-time) | ||||||||||||
| meterGroupCategory | MeterGroupCategoryChild | |||||||||||||
|
MeterGroupCategoryChild properties
|
||||||||||||||
| meterGroupCode | The meter group code | string | ||||||||||||
| meterGroupId | The meter group identifier | integer (int32) | ||||||||||||
| meterGroupInfo | The meter group info | string | ||||||||||||
| userDefinedAutoGroup | Indicates if this meter group is an user defined auto group | boolean | ||||||||||||
Example Response
[
{ "autoGroup": false, "lastUpdated": "2026-03-30", "meterGroupCategory": { "meterGroupCategoryCode": "string", "meterGroupCategoryId": 1, "meterGroupCategoryInfo": "string"
}, "meterGroupCode": "string", "meterGroupId": 1, "meterGroupInfo": "string", "userDefinedAutoGroup": false
}
]